# -*- coding: utf-8 -*-
import autocomplete_light
from jmb.tag.models import Tag


class TagAutocomplete(autocomplete_light.AutocompleteModelBase):
    search_fields = ('name',)
    autocomplete_js_attributes = {'placeholder': 'Tag'}
    choices = Tag.objects.all()


autocomplete_light.register(Tag, TagAutocomplete, name="TagAutocomplete")
