# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

tag_menu_item = items.MenuItem(
    # GENERAL
    _('Tag'), 
    reverse('admin:app_list', kwargs={'app_label': 'tag'}),
    children=[
        items.MenuItem(_('Tag'), '',
            children=[
                items.MenuItem(_('Add Tag'), reverse('admin:tag_tag_add',)), 
                items.MenuItem(_('Tag List'), reverse('admin:tag_tag_changelist',) ), 
            ]
        ),
    ]
)


register_menu(tag_menu_item, 'jmb.tag')
